Skip to main content

Update Offers

PUT 

/api/v1/installmentplans/offers/:installmentPlanNumber

Update Offers lets you change details and get new offers for a plan number you created by calling Get Offers. Using it, you can change everything but plan amount or plan currency. Use Update Offers to pass any shopper information you did not pass in Get Offers

  • Update Offers can only be used before Authorization is called (thus plan status is Initializing)
  • The object returned is similar to the Get Offers object, but it invalidates the original Get Offers object and resets offer expiration times
  • It is possible to receive zero offers, based on the new information you have provided; see the Hint field for an indication as to why this might have happened
  • If you pass the OfferId here, you will not need to pass it in the Authorize step (if the user does select a plan in Update Offers, the response will only have one offer (you could also get zero offers, as mentioned above)

Request

Responses

The updated offers response with available installment options

Response Headers